Subject: Re: bug#20793: 25.0.50; Some Unicode glyphs aren't monospaced
From: Eli Zaretskii <[email-masked]>
To: Oleh Krehel <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Jun 2015 17:22:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Oleh Krehel <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 12 Jun 2015 15:51:59 +0200
> 
> >> My preferred font is "DejaVu Sans Mono".  When using the Unicode
> >> character "✜", its width is more than the standard char width. This
> >> causes alignment problems for me.
> >
> > Which alignment problems?  Can you describe them?
> 
> If all chars aren't the same width, it's impossible to align plain text
> into a matrix, with each char exactly below the previous one.

I understand, but I hope you are aware that Emacs cannot possibly
promise not to disrupt this alignment.  If you must align text, you
need to use the ':align-to' display property (assuming you are talking
about some specialized mode).

> > As you see, Emacs 25.0.50 used a different font for this character.
> > Why did you expect it to use DejaVu Sans Mono?  What is your frame's
> > default font?  Do you have any font-related customizations, and if so,
> > could you please show them?
> 
> I just have `custom-theme-set-faces' with default :family "DejaVu Sans Mono".
> So I would expect that to be used if possible.
> 
> > Also, when was your Emacs 25 built?  There were changes lately in this
> > area, so it's important to know whether your binary is recent or not.
> 
> I think I built it a week ago. I've just rebuilt 00119c6, and the bug is
> gone. So I guess it's fine to close this bug.

Done.

> Just to add, in the old build the curved quotes in Info weren't
> fixed width as well.

I guess you've updated your tree after I made a change that prefers
the Symbola font for symbols, but before I followed that up with a
change that caused Emacs to use the default font if it supports a
character, even though Symbola was preferred for them.